################################################################################
#
# ath10k-firmware
#
################################################################################

ATH10K_FIRMWARE_VERSION = b247aca880e2b228dddc647eb853e36a0627b189
ATH10K_FIRMWARE_SITE = https://github.com/kvalo/ath10k-firmware.git
ATH10K_FIRMWARE_SITE_METHOD = git

# qca6174
ifeq ($(BR2_PACKAGE_ATH10K_FIRMWARE_QCA6174),y)
ATH10K_FIRMWARE_FILES += ath10k/QCA6174/hw2.1/board.bin      \
								ath10k/QCA6174/hw2.1/firmware-5.bin \
								ath10k/QCA6174/hw3.0/board.bin      \
								ath10k/QCA6174/hw3.0/firmware-4.bin \
								ath10k/QCA6174/hw3.0/firmware-5.bin
endif

# qca988x
ifeq ($(BR2_PACKAGE_ATH10K_FIRMWARE_QCA988X),y)
ATH10K_FIRMWARE_FILES += ath10k/QCA988X/hw2.0/board.bin \
								ath10k/QCA988X/hw2.0/firmware-2.bin
endif

# qca99x0
ifeq ($(BR2_PACKAGE_ATH10K_FIRMWARE_QCA99X0),y)
ATH10K_FIRMWARE_FILES += ath10k/QCA99X0/hw2.0/firmware-5.bin_10.4.1.00007-1
endif

ifneq ($(ATH10K_FIRMWARE_FILES),)

# Most firmware files are under a proprietary license, so no need to
# repeat it for every selections above. Those firmwares that have more
# lax licensing terms may still add them on a per-case basis.
ATH10K_FIRMWARE_LICENSE += Proprietary

# This file contains some licensing information about all the firmware
# files found in the ath10k-firmware package, so we always add it.
ATH10K_FIRMWARE_ALL_LICENSE_FILES += LICENSE.qca_firmware

define ATH10K_FIRMWARE_INSTALL_TARGET_CMDS
	mkdir -p $(TARGET_DIR)/lib/firmware
	$(TAR) c -C $(@D) $(sort $(ATH10K_FIRMWARE_FILES)) | \
		$(TAR) x -C $(TARGET_DIR)/lib/firmware
endef

endif

$(eval $(generic-package))
