################################################################################
#
# cryptodev-linux
#
################################################################################

ifeq ($(LINUX),)

CRYPTODEV_LINUX_VERSION = 1.6
CRYPTODEV_LINUX_SITE = http://download.gna.org/cryptodev-linux
CRYPTODEV_LINUX_SOURCE = cryptodev-linux-$(CRYPTODEV_LINUX_VERSION).tar.gz
CRYPTODEV_LINUX_DEPENDENCIES =
CRYPTODEV_LINUX_LICENSE = GPLv2+
CRYPTODEV_LINUX_LICENSE_FILES = COPYING
CRYPTODEV_LINUX_INSTALL_STAGING = YES

define CRYPTODEV_LINUX_INSTALL_STAGING_CMDS
	$(INSTALL) -D -m 644 $(@D)/crypto/cryptodev.h \
		$(STAGING_DIR)/usr/include/crypto/cryptodev.h
endef

$(eval $(generic-package))
$(call ITERATED_CALL,LINUX_REINCLUDE_MAKEFILE,$(LINUX_DEPENDENCIES))

else

BR2_PACKAGE_CRYPTODEV_$(LINUX) := $(BR2_PACKAGE_CRYPTODEV_LINUX)

CRYPTODEV_$(LINUX)_VERSION = $(CRYPTODEV_LINUX_VERSION)
CRYPTODEV_$(LINUX)_SITE = $(CRYPTODEV_LINUX_SITE)
CRYPTODEV_$(LINUX)_SOURCE = $(CRYPTODEV_LINUX_SOURCE)
CRYPTODEV_$(LINUX)_DEPENDENCIES := cryptodev-linux $($(LINUX)_NAME)
CRYPTODEV_$(LINUX)_LICENSE = $(CRYPTODEV_LINUX_LICENSE)
CRYPTODEV_$(LINUX)_LICENSE_FILES = $(CRYPTODEV_LINUX_LICENSE_FILES)

define CRYPTODEV_$(LINUX)_BUILD_CMDS
	+$(MAKE) -C $(@D) $($(LINUX)_MAKE_FLAGS) KERNEL_DIR=$($(LINUX)_DIR)
endef

define CRYPTODEV_$(LINUX)_INSTALL_TARGET_CMDS
	+$(MAKE) -C $(@D) $($(LINUX)_MAKE_FLAGS) KERNEL_DIR=$($(LINUX)_DIR) \
		PREFIX=$(TARGET_DIR) cmd_depmod= modules_install
endef

$(eval $(call generic-package,cryptodev-$($(LINUX)_NAME)))

$(CRYPTODEV_$(LINUX)_TARGET_BUILD): LINUX := $(LINUX)
$(CRYPTODEV_$(LINUX)_TARGET_INSTALL_TARGET): LINUX := $(LINUX)

ifeq ($(BR2_PACKAGE_CRYPTODEV_LINUX),y)
$(eval $(LINUX)_MODULES += cryptodev-$($(LINUX)_NAME))
endif

endif
