# Do not upgrade Version to next Major without testing - 5.01 causes Problems
FLI4L_SYSLINUX_VERSION = 4.06
FLI4L_SYSLINUX_SOURCE  = syslinux-$(FLI4L_SYSLINUX_VERSION).tar.gz
FLI4L_SYSLINUX_SITE    = http://www.kernel.org/pub/linux/utils/boot/syslinux

FLI4L_SYSLINUX_LICENSE = GPLv2+
FLI4L_SYSLINUX_LICENSE_FILES  = COPYING

# used for generated Windows binaries
FLI4L_SYSLINUX_TIMESTAMP = $(shell date +%s -d "2012-03-28 $(subst .,:,$(FLI4L_SYSLINUX_VERSION))")

FLI4L_SYSLINUX_DEPENDENCIES = host-petools
HOST_FLI4L_SYSLINUX_DEPENDENCIES = host-mtools

define FLI4L_SYSLINUX_CDEMUL
	mkdir $(@D)/cdemul
	cp -a $(@D)/mtools/syslinux.c $(@D)/cdemul
	cp -a $(@D)/mtools/Makefile $(@D)/cdemul
endef

FLI4L_SYSLINUX_PRE_PATCH_HOOKS += FLI4L_SYSLINUX_CDEMUL
HOST_FLI4L_SYSLINUX_PRE_PATCH_HOOKS += FLI4L_SYSLINUX_CDEMUL

define HOST_FLI4L_SYSLINUX_BUILD_CMDS
	+$(HOST_MAKE_ENV) $(MAKE) -C $(@D)/libinstaller
	+$(HOST_MAKE_ENV) $(MAKE) -C $(@D)/cdemul
endef

define HOST_FLI4L_SYSLINUX_INSTALL_CMDS
	$(INSTALL) -D $(@D)/cdemul/syslinux $(HOST_DIR)/usr/sbin/syslinux
endef

define FLI4L_SYSLINUX_BUILD_CMDS
	+$(MAKE) CC=$(TARGET_CC) LD=$(TARGET_LD) OPTFLAGS="$(TARGET_CFLAGS)" \
		LDFLAGS="$(TARGET_LDFLAGS)" -C $(@D)/libinstaller
	+$(MAKE) CC=$(TARGET_CC) LD=$(TARGET_LD) OPTFLAGS="$(TARGET_CFLAGS)" \
		LDFLAGS="$(TARGET_LDFLAGS)" -C $(@D)/linux
endef

define FLI4L_SYSLINUX_INSTALL_TARGET_CMDS
	$(INSTALL) -D $(@D)/linux/syslinux $(TARGET_DIR)/usr/sbin/syslinux
	$(INSTALL) -D $(@D)/core/isolinux.bin $(TARGET_DIR)/img/isolinux.bin
	$(INSTALL) -D $(@D)/mbr/mbr.bin $(TARGET_DIR)/usr/share/mbr.bin
	$(INSTALL) -D $(@D)/dos/syslinux.com $(TARGET_DIR)/windows/syslinux.com
	$(INSTALL) -D $(@D)/win32/syslinux.exe $(TARGET_DIR)/windows/syslinux.exe
	$(INSTALL) -D $(@D)/win64/syslinux64.exe $(TARGET_DIR)/windows/syslinux64.exe
	$(HOST_DIR)/usr/bin/petsset $(TARGET_DIR)/windows/syslinux.exe $(FLI4L_SYSLINUX_TIMESTAMP)
	# make read-only such that strip will not change the file later
	chmod -w $(TARGET_DIR)/windows/syslinux.exe
endef

$(eval $(generic-package))
$(eval $(host-generic-package))
