################################################################################
#
# icu
#
################################################################################

ICU_VERSION = 51.2
ICU_SOURCE = icu4c-$(subst .,_,$(ICU_VERSION))-src.tgz
ICU_SITE = http://download.icu-project.org/files/icu4c/$(ICU_VERSION)
ICU_LICENSE = ICU License
ICU_LICENSE_FILES = license.html

ICU_DEPENDENCIES = host-icu
ICU_INSTALL_STAGING = YES
ICU_CONFIG_SCRIPTS = icu-config
ICU_CONF_OPTS = --with-cross-build=$(HOST_DIR)/usr/src/icu-$(ICU_VERSION) \
		--disable-samples \
		--disable-tests
HOST_ICU_CONF_OPTS = \
	--disable-samples \
	--disable-tests \
	--disable-extras \
	--disable-icuio \
	--disable-layout \
	--disable-renaming
ICU_MAKE = $(MAKE1)
ICU_SUBDIR = source
HOST_ICU_SUBDIR = source

define HOST_ICU_INSTALL_SOURCE
	mkdir -p $(HOST_DIR)/usr/src
	cp -dR $(@D)/source $(HOST_DIR)/usr/src/icu-$(ICU_VERSION)
endef
HOST_ICU_POST_INSTALL_HOOKS += HOST_ICU_INSTALL_SOURCE

ICU_CUSTOM_DATA_PATH = $(call qstrip,$(BR2_PACKAGE_ICU_CUSTOM_DATA_PATH))

ifneq ($(ICU_CUSTOM_DATA_PATH),)
define ICU_COPY_CUSTOM_DATA
	cp $(ICU_CUSTOM_DATA_PATH) $(@D)/source/data/in/
endef
ICU_POST_PATCH_HOOKS += ICU_COPY_CUSTOM_DATA
endif

$(eval $(autotools-package))
$(eval $(host-autotools-package))

# installing to target and staging directory in parallel seems not to be
# supported by icu, because the installation process builds man files
$(ICU_TARGET_INSTALL_TARGET_SANDBOX) : $(ICU_TARGET_INSTALL_STAGING_SANDBOX)
