MAKEFILE_LIST := $(patsubst $(lastword $(MAKEFILE_LIST)),,$(MAKEFILE_LIST))

$(ISDNUTILS)_VERSION = $(ISDNUTILS_VERSION)
$(ISDNUTILS)_SOURCE  = isdnutils_$(ISDNUTILS_VERSION).orig.tar.bz2
$(ISDNUTILS)_PATCH   = isdnutils_$(ISDNUTILS_VERSION)-6.debian.tar.gz
$(ISDNUTILS)_SITE    = http://snapshot.debian.org/archive/debian/20141023T043132Z/pool/main/i/isdnutils

$(ISDNUTILS)_CONF_ENV += I4LVERSION=3.25

ifeq ($(BR2_PACKAGE_$(ISDNUTILS)),y)
$(eval ISDNUTILS_DEPENDENCIES += $(call pkgname))
endif

define $(ISDNUTILS)_DEBIAN_PATCHES
	$(call suitable-extractor,$($(ISDNUTILS)_PATCH)) $(DL_DIR)/$($(ISDNUTILS)_PATCH) | \
		$(TAR) -C $($(ISDNUTILS)_DIR) $(TAR_OPTIONS) -
	if [ -d $(@D)/debian/patches ]; then \
		support/scripts/apply-patches.sh $(@D) $(@D)/debian/patches; \
	fi
	$(eval $(ISDNUTILS)_PATCH:=)
endef

$(ISDNUTILS)_PRE_PATCH_HOOKS += $(ISDNUTILS)_DEBIAN_PATCHES

define $(ISDNUTILS)_PREPARE
	cp -a package/isdnutils/isdnutils.config $($(ISDNUTILS)_DIR)/.config
	( cd $($(ISDNUTILS)_DIR); perl scripts/mk_autoconf.pl; )
	if [ -f $(@D)/$($(ISDNUTILS)_SUBDIR)/configure ]; then \
		head -n 1 $(@D)/$($(ISDNUTILS)_SUBDIR)/configure > $(@D)/$($(ISDNUTILS)_SUBDIR)/configure.new; \
		echo ". ../.config" >> $(@D)/$($(ISDNUTILS)_SUBDIR)/configure.new; \
		sed -e '1d' $(@D)/$($(ISDNUTILS)_SUBDIR)/configure >> $(@D)/$($(ISDNUTILS)_SUBDIR)/configure.new; \
		mv $(@D)/$($(ISDNUTILS)_SUBDIR)/configure.new $(@D)/$($(ISDNUTILS)_SUBDIR)/configure; \
		chmod +x $(@D)/$($(ISDNUTILS)_SUBDIR)/configure; \
	fi
endef

$(ISDNUTILS)_PRE_CONFIGURE_HOOKS += $(ISDNUTILS)_PREPARE

define $(ISDNUTILS)_DISABLE_RPATH
	if [ -f $(@D)/$($(ISDNUTILS)_SUBDIR)/libtool ]; then \
		sed -i 's/^\(hardcode_libdir_flag_spec\)=.*$$/\1=" "/' $(@D)/$($(ISDNUTILS)_SUBDIR)/libtool; \
	fi
endef

$(ISDNUTILS)_POST_CONFIGURE_HOOKS += $(ISDNUTILS)_DISABLE_RPATH

ifeq ($($(ISDNUTILS)_FLAVOUR),)
$(ISDNUTILS)_FLAVOUR := autotools
endif

$(eval $($($(ISDNUTILS)_FLAVOUR)-package))

$($(ISDNUTILS)_DIR)/.stamp_downloaded: ISDNUTILS := $(ISDNUTILS)
$($(ISDNUTILS)_DIR)/.stamp_extracted: ISDNUTILS := $(ISDNUTILS)
$($(ISDNUTILS)_DIR)/.stamp_patched: ISDNUTILS := $(ISDNUTILS)
$($(ISDNUTILS)_DIR)/.stamp_configured: ISDNUTILS := $(ISDNUTILS)
