KAMAILIO_VERSION = 4.2.0
KAMAILIO_SOURCE  = kamailio-$(KAMAILIO_VERSION)_src.tar.gz
KAMAILIO_SITE    = http://www.kamailio.org/pub/kamailio/$(KAMAILIO_VERSION)/src/

KAMAILIO_LICENSE = GPLv2+
KAMAILIO_LICENSE_FILES = COPYING

KAMAILIO_DEPENDENCIES += mysql expat libxml2 libcurl libconfuse sqlite pcre iptables json-c cjson host-bison

KAMAILIO_GROUP_INCLUDE   = "standard presence experimental"
KAMAILIO_INCLUDE_MODULES = "acc alias_db async auth auth_db avp avpops blst call_control carrierroute cfg_db counters cpl-c db2_ops db_flatstore db_mysql db_sqlite db_text dialog dialog_ng dialplan dispatcher diversion domain drouting enum exec group htable imc ipops iprtpproxy lcr mangler matrix maxfwd msilo nat_traversal nathelper outbound p_usrloc path permissions pipelimit prefix_route presence presence_conference presence_dialoginfo presence_mwi presence_profile presence_reginfo presence_xml print pua pua_bla pua_dialoginfo pua_mi pua_reginfo pua_usrloc pua_xmpp ratelimit regex registrar rls rtimer rtpproxy  rtpengine sanity sca sdpops sipcapture siptrace siputils sl speeddial sqlops textops textopsx timer tm tmrec topoh uac uac_redirect uid_auth_db uid_domain uid_gflags uid_avp_db uri_db userblacklist usrloc utils rtpproxy-ng"

# missing modules: json 

define KAMAILIO_CONFIGURE_CMDS
	+$(MAKE1) prefix=/usr ARCH=$(ARCH) CPU=$(BR2_GCC_TARGET_TUNE) CC="$(TARGET_CC)" LD="$(TARGET_CC)" \
	CFLAGS="$(TARGET_CFLAGS) -g -Wcast-align $(PROFILE) -minline-all-stringops -fno-strict-overflow $(CC_EXTRA_OPTS)" \
	LD_RPATH="" LDFLAGS="-Wl,-Os -Wl,-E $(TARGET_LDFLAGS)" -C $(@D) prefix=/usr LOCALBASE=$(STAGING_DIR)/usr \
	group_include=$(KAMAILIO_GROUP_INCLUDE) include_modules=$(KAMAILIO_INCLUDE_MODULES) CROSS_COMPILE=true \
	LEX=$(HOST_DIR)/usr/bin/flex YACC=$(HOST_DIR)/usr/bin/bison LIBDIR=lib cfg
endef

define KAMAILIO_BUILD_CMDS
	+$(MAKE1) -C $(@D) prefix=/usr LOCALBASE=$(STAGING_DIR)/usr CROSS_COMPILE=true all
endef

define KAMAILIO_INSTALL_TARGET_CMDS
	+$(MAKE1) -C $(@D) prefix=/usr DESTDIR=$(TARGET_DIR) CROSS_COMPILE=true install
endef

$(eval $(generic-package))
