/**
 * \file data.c
 * \brief system wide used variables
 * \version $Revision:$
 * \date Last change: $Date:$
 * \author Oliver Dawid
 * \author Last change by: $Author:$
 */

/*----------------------------------------------------------------------------
 *  circd server for Linux
 *
 *  Copyright (c) 2005-2014 - Oliver Dawid, fli4l-Team <team@fli4l.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *----------------------------------------------------------------------------
 */

#include "circd.h"

LIST_HEAD(circuits);
LIST_HEAD(connections);

circuit_t *current_circuit = NULL;
circ_mode_t current_lcr_mode = cm_disable;

char *dialmode_str[] = {
	"disable",
	"manual",
	"automatic",
	"start",
	"dial",
	"pause",
	"cont"
};

char *lcrflag_str[] = {
	"disable",
	"enable",
	"active"
};

char *circmode_str[] = {
	"disable",
	"manual",
	"automatic",
	"start",
	"dial",
	"pause",
	"cont"
};

char *weekday_str[] = {
	"Su",
	"Mo",
	"Tu",
	"We",
	"Th",
	"Fr",
	"Sa"
};

struct _action_str_t action_str[] = {
	{circuit_start, "start"},
	{circuit_stop, "stop"},
	{circuit_dial, "dial"},
	{circuit_hangup, "hangup"},
	{circuit_pause, "pause"},
	{circuit_cont, "continue"},
	{circuit_dialmode, "dialmode"},
	{circuit_hup_timeout, "hup_timeout"},
	{circuit_status, "status"},
	{NULL, ""}
};

char *telmond_log_dir = NULL;
char *mgetty_log_file = NULL;
char *mgetty_log_dir = NULL;
char *circd_log_dir = NULL;

char *circd_admin_pass = NULL;
char *circd_pass = NULL;
int password_mode = 0;
int dialmode = 0;
int may_enable = 0;
int may_reboot = 0;
int may_route = 0;
int may_dial = 0;

struct timeval last_time_measured;
struct timeval current_time;
