/*!
 * $Id: hwsuppd.h 34658 2014-11-06 23:10:34Z kristov $
 *
 * @file    hwsuppd.h
 * @brief   definitions for hwsuppd deamon
 *
 * @author  Carsten Spie&szlig; fli4l@carsten-spiess.de
 * @date    17.08.2013
 *
 * @note
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * Version 2 as published by the Free Software Foundation.
 *
 * I don't accept liability nor provide warranty for this Software.
 * This material is provided "AS-IS" and at no charge.
 */

#ifndef _HWSUPPD_H_
#define _HWSUPPD_H_

#define MAX_BUTTON 32

/*!
 * @struct      dataT
 * @brief       global data structure
 */
typedef struct _dataT
{
    int             nLed;           /*!< number of leds                     */
    int             nButton;        /*!< number of buttons                  */
    int             statusButton[MAX_BUTTON];
    int             pid;            /*!< process id for executed command    */
    int             fExecute;       /*!< main loop execute flag             */
    int             fForeground;    /*!< forground flag                     */
    int             fDaemonized;    /*!< daemonized flag                    */
    int             fDebug;         /*!< debug flag                         */
} dataT;

extern dataT g_data;

/* callbacks for button */
void execute_command (int num);

/* log functions */
void log_printf(int level, const char *fmt, ...) __attribute__ ((format(printf, 2, 3)));

/* button functions */
void button_read (int num);

#endif /* _HWSUPPD_H_ */
/*_oOo_*/
